Get project settings
curl --request GET \
--url https://api.dualship.run/api/v1/projects/{id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://api.dualship.run/api/v1/projects/{id}/settings"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.dualship.run/api/v1/projects/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cors": {
"allow_credentials": true,
"allowed_headers": [
"<string>"
],
"allowed_methods": [
"<string>"
],
"allowed_origins": [
"<string>"
],
"enabled": true,
"max_age": 86400
},
"log_filters": {
"masked_keywords": [
"<string>"
]
},
"logging": {
"enabled": true
},
"rate_limit": {
"burst_size": 100,
"enabled": true,
"requests_per_min": 1000
}
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "NOT_FOUND",
"error": "resource not found"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}projects
Get project settings
Get settings for a project including logging, rate limiting, CORS, and log filters
GET
/
api
/
v1
/
projects
/
{id}
/
settings
Get project settings
Authorizations
JWT Bearer token authentication
Headers
Workspace ID
Path Parameters
Project ID
Was this page helpful?
⌘I